> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/retrieve-in-memory-db-snapshot.md).

# Retrieve an In-Memory DB Snapshot

You can retrieve an In-Memory DB snapshot using its `UUID`. It is found in the response body when an In-Memory DB instance is created or when you retrieve a list of In-Memory DB snapshots using `GET`.

## Endpoint

Use a [<mark style="color:blue;">region-specific endpoint</mark>](/cloud/databases/in-memory-db/api/v1-api.md#endpoints) from the list to retrieve an In-Memory DB snapshot: `https://in-memory-db.{region}.ionos.com/snapshots/{snapshotId}`

{% hint style="info" %}
**Note:** Remember to replace the `snapshotId` with a relevant `UUID`.
{% endhint %}

## Request

To retrieve a single snapshot, you need the `id` from your `create` response. Remember to update your `UUID`. The sample `UUID` in the example is `498ae72f-411f-11eb-9d07-046c59cc737e`.

```bash
curl -X 'GET' \
  'https://in-memory-db.de-txl.ionos.com/snapshots/498ae72f-411f-11eb-9d07-046c59cc737e' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer $Token' \
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required |  Type  | Description                                                  |
| ----------------- | :------: | :----: | ------------------------------------------------------------ |
| `Authorization`   |    yes   | string | Provide a header value as `Bearer` followed by your `token`. |
| `Content-Type`    |    yes   | string | Set this to `application/json`.                              |
| {% endtab %}      |          |        |                                                              |

{% tab title="Path Parameters" %}
The following path parameter is mandatory:

| Path Parameter | Required |  Type  | Description                                                                     |
| -------------- | :------: | :----: | ------------------------------------------------------------------------------- |
| `snapshotId`   |    yes   | string | The ID (UUID) of the snapshot. Example: `498ae72f-411f-11eb-9d07-046c59cc737e`. |
| {% endtab %}   |          |        |                                                                                 |
| {% endtabs %}  |          |        |                                                                                 |

## Response

**202 Successful operation**

```json
{
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "type": "snapshot",
  "href": "/snapshots/498ae72f-411f-11eb-9d07-046c59cc737e",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress.",
    "replicasetId": "12345678-1234-1234-1234-123456789012",
    "snapshotTime": "2019-08-24T14:15:22Z",
    "datacenterId": "b51b184c-478e-4341-bf40-fcc0ee580c11"
  },
  "properties": {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/retrieve-in-memory-db-snapshot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
